{
	"0": {
		"description": "Virtual Drive {1} is in degraded state",
		"recommendation": "Make sure all the participating physical devices are connected and in online state or Create a new virtual drive and restore your data from backup",
		"params": ["controllerId",
		"vdId"],
		"actions": []
	},
	"1": {
		"description": "Virtual Drive {1} is now offline",
		"recommendation": "Make sure all Physical devices are connected or set virtual drive online or Create new virtual Drive and restore your data from the backup",
		"params": ["controllerId",
		"vdId"],
		"actions": []
	},
	"2": {
		"description": "Virtual Drive {1} is partially degraded",
		"recommendation": "Make sure all Physical devices are connected or set virtual drive online or Create new virtual Drive and restore your data from the backup",
		"params": ["controllerId",
		"vdId"],
		"actions": []
	},
	"3": {
		"description": "Physical devices {1} is offline",
		"recommendation": "Change Physical device state to online",
		"params": ["controllerId",
		"pdId"],
		"actions": ["STATE-CHANGE"]
	},
	"4": {
		"description": "Physical device {1} is in Failed state",
		"recommendation": "Physical device has failed. replace the failed Physical device",
		"params": ["controllerId",
		"pdId"],
		"actions": []
	},
	"5": {
		"description": "Physical device {1} is in unconfigured bad state",
		"recommendation": "Contact Vendor",
		"params": ["controllerId",
		"pdId"],
		"actions": ["STATE-CHANGE"]
	},
	"6": {
		"description": "Energy pack has failed and cannot support data retention. ",
		"recommendation": "Replace the Energy pack",
		"params": ["controllerId"],
		"actions": []
	},
	"7": {
		"description": "Energy pack requires reconditioning",
		"recommendation": "Please initiate a learn cycle",
		"params": ["controllerId"],
		"actions": []
	},	
	"8": {
		"description": "No physical devices are used for configuration",
		"recommendation": "Create virtual drives using unconfigured Physical devices",
		"params": ["controllerId",
		"pdId"],
		"actions": [4]
	},
	"9": {
		"description": "Foreign configuration found",
		"recommendation": "Scan and import foreign configuration or clear foreign configurations",
		"params": ["controllerId",
		"pdId"],
		"actions": ["IMPORT",
		""]
	},
	"10": {
		"description": "Controller is in safe mode",
		"recommendation": "Please boot controller in normal mode",
		"params": ["controllerId"],
		"actions": []
	},
	"11": {
		"description": "NVRAM is corrupted",
		"recommendation": "Contact customer support",
		"params": ["controllerId"],
		"actions": []
	},
	"12": {
		"description": "",
		"recommendation": "",
		"params": ["controllerId"],
		"actions": []
	},
	"14": {
		"description": "Pinned Cache present in Controller",
		"recommendation": "Bring the missing VD(s) to Online state and de-stage the cache or discard the pinned cache",
		"params": ["controllerId"],
		"actions": ["PINNED-CACHE"]
	},
	"15": {
		"description": "Controller Flash  is in degraded state",
		"recommendation": "Contact customer support",
		"params": ["controllerId"],
		"actions": []
	},
	"16": {
		"description": "Controller Flash is in failed state",
		"recommendation": "Contact customer support",
		"params": ["controllerId"],
		"actions": []
	},
	"17": {
		"description": "Virtual drive {1} 's access policy is in blocked state",
		"recommendation": "Bring the missing or offline mapped cached volume to optimal state",
		"params": ["controllerId",
        "vdId"],
		"actions": []
	},
	 "18": {
		"description": "Predective-Failure is detected in Drive {1}",
		"recommendation": "Replace Drive after performing necessary precautions or contact customer support",
		"params": ["controllerId",
		"pdId"],
		"actions": []
	},
	"19": {
		"description": "Write caching status is Temporary Disabled for Logical Drive {1}",
		"recommendation": "Contact customer support",
		"params": ["controllerId",
		"ldId"],
		"actions": []
	},
	"20": {
		"description": "Write caching status is Temporary Disabled with Pinned Cache for Logical Drive {1}",
		"recommendation": "Contact customer support",
		"params": ["controllerId",
		"ldId"],
		"actions": []
	},
	"21": {
		"description": "PCIE Drive at enclosure {1}, slot {2}  has failed to initialize. Error: {3} here",
		"recommendation": "Physical device has failed to initialize. Try to recover the drive",
		"params": ["controllerId",
        "enclosureId",
		"slotId",
        "error"],
		"actions": ["RECOVER"]
	},
	"22": {
		"description": "PCIE Drive at enclosure {1}, slot {2}  has failed to initialize. Error: {3} here",
		"recommendation": "Recovery is not possible for this drive, please contact the vendor",
		"params": ["controllerId",
        "enclosureId",
		"slotId",
        "error"],
		"actions": [""]
	}
}
